#ifndef FONTRENDERER_H
#define FONTRENDERER_H

#include <GL/glew.h>

#include "common/utils/Types.h"
#include "client/rendering/Texture.h"

class FontRenderer final {
public:
    FontRenderer();
    ~FontRenderer();
    FontRenderer(const FontRenderer& other) = delete;
    FontRenderer(FontRenderer&& other) = delete;
    FontRenderer& operator=(const FontRenderer& other) = delete;
    FontRenderer& operator=(FontRenderer&& other) = delete;

    void drawString(float x, float y, const char* text);

private:
    static const u64 BUFFER_LENGTH;
    
    Texture tex;
    u64 offset;

    GLuint vertexArray;
    GLuint vertexBuffer;
};

#endif